#!/bin/bash
#
# $Id: generate-zentralblatt-form.sh 1163 2009-01-04 19:42:10Z michalr $

cat <<EOT
\pre
\reviewer
\reviewerno
\city The Name of the City
EOT
echo '\zblno x'\
$(grep '\\xbox{annee}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{annee}{...\(.\)}/\1/g')\
$(grep '\\xbox{tome}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{tome}{\([^}]*\)}/\1/g')\
$(grep '\\xbox{fascicule}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{fascicule}{\([^}]*\)}/\1/g')\
$(grep '\\xbox{ordreart}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{ordreart}{\([^}]*\)}/\1/g')
echo '\author '\
$(grep '\\xbox{nomcomplet}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{nomcomplet}{\\firstname {\(.*\)} \\lastname {\(.*\)}}$/\1 \2; /g') | sed 's/^\(.*\);$/\1/g'
echo '\title '\
$(grep '{\\killparcode\\begin{XTAelement}\[..\]{titre}' $1/*-cdrxml.tex | sed 's/^\s*{\\killparcode\\begin{XTAelement}\[..\]{titre}\(.*\)\\end{XTAelement}}$/\1/g') | sed 's/\\\\/ %\n       /g'
echo '\lang '$(grep '\\selectlanguage' $1/*-cdrxml.tex | sed 's/^\s*\\selectlanguage{\([^}]*\)}.*$/\1/g')
echo '\source The Journal'
echo '\volume '$(grep '\\xbox{tome}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{tome}{\([^}]*\)}/\1/g')
echo '\year '$(grep '\\xbox{annee}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{annee}{\([^}]*\)}/\1/g')
echo '\issue '$(grep '\\xbox{fascicule}' $1/../*-cdrxml.tex | sed 's/^\s*\\xbox{fascicule}{\([^}]*\)}/\1/g')
echo '\pages '$(grep '\\xbox{pagedeb}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{pagedeb}{\([^}]*\)}/\1/g')'--'$(grep '\\xbox{pagefin}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{pagefin}{\([^}]*\)}/\1/g')
echo '\msc '$(grep '\\xbox{msc\\Textunderscore primary}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{msc\\Textunderscore primary}{\([^}]*\)}/\1;/g')$(grep '\\xbox{msc\\Textunderscore secondary}' $1/*-cdrxml.tex | sed 's/^\s*\\xbox{msc\\Textunderscore secondary}{{\([^}]*\)}}/\1;/g') | sed 's/^\(.*\);$/\1/g'
echo '\keywords '$(grep '{\\killparcode\\begin{XTAelement}\[..\]{keyword}' $1/*-cdrxml.tex | sed 's/^\s*{\\killparcode\\begin{XTAelement}\[..\]{keyword}\(.*\)\\end{XTAelement}}$/\1; /g') | sed 's/^\(.*\);$/\1/g'
echo '\review'
echo '\abstract '$(grep '\\begin{XTAPelement}\[..\]{resume}' $1/*-cdrxml.tex | sed 's/^\s*\\begin{XTAPelement}\[..\]{resume}\(.*\)\\end{XTAPelement}$/\1/g')
cat <<EOT
\post
\bye
EOT
