% \providecommand\operatorname[1]{%
%   \mathmo{#1}%
%   \mathattribute{form}{prefix}%
%   \mathattribute{movablelimits}{true}%
% }
%% gestion mode non MathML
%% \@nomathml = 0 : mode standard (MML)
%%              1 : mode bizarre (macros non interpretees, mais les
%%                                accolades sautent)
%%             -1 : mode interne avant passage a MML
%% NoMathCode version 1
\def\NoMathCode{\begingroup\catcode`\$=12 \@nomathml=1\relax}
\def\MathCode{\endgroup}
%% version -1
\def\NoMathCode{\global\@nomathml = -1}
\def\MathCode{\global\@nomathml = 0}
%% permet d'avoir un compteur positif dans le cas -1 !
%\newcount\@mathMode
%\@mathMode=0
%% retourne un truc en fonction du mode math
%% #1 si \@nomathml<0 , #2 si =0, #3 si >O
%% #3 ne sert jamais, en fait.
\def\nmORmm0Rnm#1#2#3{%
 \ifnum\@nomathml<\z@ 
 #1\else\ifnum\@nomathml=\z@
 #2\else
 #3\fi\fi}
%
%% Intercepter le fontes en mode maths.
\let\mathttORI\mathtt
\let\mathcalORI\mathcal
\let\mathbfORI\mathbf
\let\mathrmORI\mathrm
\let\mathfrakORI\mathfrak
\let\mathitORI\mathit
\let\mathnormalORI\mathnormal
\let\mathbbORI\mathbb
\let\mathsfORI\mathsf
\def\mathslORI{}
%
\renewcommand\mathfrak[1]{%
\nmORmm0Rnm{\string\mathfrak{#1}}%
{\mathfrakORI{#1}}%
{\string\mathfrak{#1}}}
\newcommand\mathsl[1]{%
\nmORmm0Rnm{\string\mathsl{#1}}%
{\mathmi{#1}\mathattribute{mathvariant}{italic}}%
{\string\mathsl{#1}}}
\renewcommand\mathcal[1]{%
\nmORmm0Rnm{\string\mathcal{#1}}%
{\mathcalORI{#1}}%
{\string\mathcal{#1}}}
\renewcommand\mathtt[1]{%
\nmORmm0Rnm{\string\mathtt{#1}}%
{\mathttORI{#1}}%
{\string\mathtt{#1}}}
\renewcommand\mathbb[1]{%
\nmORmm0Rnm{\string\mathbb{#1}}%
{\mathbbORI{#1}}%
{\string\mathbb{#1}}}
\renewcommand\mathbf[1]{%
\nmORmm0Rnm{\string\mathbf{#1}}%
{\mathbfORI{#1}}%
{\string\mathbf{#1}}}
\renewcommand\mathrm[1]{%
\nmORmm0Rnm{\string\mathrm{#1}}%
{\mathmi{#1}\mathattribute{mathvariant}{normal}}%
{\string\mathrm{#1}}}
\renewcommand\mathit[1]{%
\nmORmm0Rnm{\string\mathit{#1}}%
{\mathitORI{#1}}%
{\string\mathit{#1}}}
\renewcommand\mathnormal[1]{%
\nmORmm0Rnm{\string\mathnormal{#1}}%
{\mathnormalORI{#1}}%
{\string\mathnormal{#1}}}
%% support mathrsfs
\def\mathscr#1{%
\nmORmm0Rnm{\string\mathscr{#1}}%
{\mathcalORI{#1}}%
{\string\mathscr{#1}}}%
%% \boldsymbol definition
\newcommand\boldsymbol[1]{%
\nmORmm0Rnm{\string\boldsymbol#1}%
{\mathbfORI{#1}}%
{\string\boldsymbol#1}}
%% On recommence pour les \textxx en mode math...
\let\textttORI\texttt
\let\textbfORI\textbf
\let\textrmORI\textrm
\let\textitORI\textit
\let\textnormalORI\textnormal
\let\textsfORI\textsf
\let\textslORI\textsl
%
\everymath{\ProtectTextFontsCode}
\everydisplay{\ProtectTextFontsCode}
\def\ProtectTextFontsCode{%
\renewcommand\textsl[1]{%
\nmORmm0Rnm{\string\textsl{##1}}%
{\mathmi{##1}\mathattribute{mathvariant}{italic}}%
{\string\textsl{##1}}}%
\renewcommand\texttt[1]{%
\nmORmm0Rnm{\string\texttt{##1}}%
{\textttORI{##1}}%
{\string\texttt{##1}}}%
\renewcommand\textbf[1]{%
\nmORmm0Rnm{\string\textbf{##1}}%
{\textbfORI{##1}}%
{\string\textbf{##1}}}%
\renewcommand\textrm[1]{%
\nmORmm0Rnm{\string\textrm{##1}}%
{\mathmi{##1}\mathattribute{mathvariant}{normal}}%
{\string\textrm{##1}}}%
\renewcommand\textit[1]{%
\nmORmm0Rnm{\string\textit{##1}}%
{\textitORI{##1}}%
{\string\textit{##1}}}%
\renewcommand\textnormal[1]{%
\nmORmm0Rnm{\string\textnormal{##1}}%
{\textnormalORI{##1}}%
{\string\textnormal{##1}}}%
}
%% Imprime la macro latex qui n'a pas encore de bonne contrepartie MathML/Unicode
\def\PrintLitterally#1{\def#1{%
\nmORmm0Rnm{\string#1}%
{\mathmi{\string#1}}%
{\string#1}}}
\PrintLitterally\SuperMathOp
%% math fonts
\mathfontproperty\mml@font@normal1
\mathfontproperty\mml@font@upright1
\mathfontproperty\mml@font@bold1
\mathfontproperty\mml@font@italic1 
\mathfontproperty\mml@font@bolditalic1 
\mathfontproperty\mml@font@script0
\mathfontproperty\mml@font@boldscript0
\mathfontproperty\mml@font@fraktur0
\mathfontproperty\mml@font@doublestruck0
\mathfontproperty\mml@font@boldfraktur0
\mathfontproperty\mml@font@sansserif1
\mathfontproperty\mml@font@boldsansserif1
\mathfontproperty\mml@font@sansserifitalic1
\mathfontproperty\mml@font@sansserifbolditalic1
\mathfontproperty\mml@font@monospace1

