%% -*- latex -*-
\ProvidesPackage{fancyvrb}[2006/08/26 v1.0 fancyverb for tralics]
%% TRALICS, copyright (C) INRIA/apics (Jose' Grimm) 2006, 2007
%% Licensed under thde CeCILL free software  license 
%% (See the file COPYING in the main directory for details)
%% $Id: fancyvrb.plt,v 2.2 2007/02/19 07:49:57 grimm Exp $

\def\DefineVerbatimEnvironment#1#2#3{%
\expandafter \def\csname#1@hook\endcsname{#3}%
\expandafter\let\csname#1\expandafter\endcsname\csname#2\endcsname
\expandafter\let\csname end#1\expandafter\endcsname\csname end#2\endcsname}


\def\define@key#1#2{%
  \@ifnextchar[{\KV@def{#1}{#2}}{\@namedef{KV@#1@#2}##1}}
\def\KV@def#1#2[#3]{%
  \@namedef{KV@#1@#2@default\expandafter}\expandafter
    {\csname KV@#1@#2\endcsname{#3}}%
  \@namedef{KV@#1@#2}##1}

\def\FV@pre@pre{\begin{xmlelement*}{pre}}
\def\FV@post@pre{\end{xmlelement*}}
\def\FV@style@log{\XMLaddatt{class}{log-code}}
\def\FV@style@xml{\XMLaddatt{class}{xml-code}}
\def\FV@style@latex{\XMLaddatt{class}{latex-code}}

\newlength \topsep

